Contingut

# Starting LibreOffice Software With Parameters

Si inicieu el LibreOffice des de la línia d'ordres, podeu assignar diversos paràmetres mitjançant els quals podeu alterar el rendiment. L'ús de paràmetres de la línia d'ordres només es recomana als usuaris experimentats.

En un ús normal, no cal utilitzar paràmetres de línia d'ordres. Per a utilitzar alguns d'aquests paràmetres cal tenir un ampli coneixement de la tecnologia del programari del LibreOffice.

## Inici del LibreOffice des de la línia d'ordres

1. Cerqueu Executa al menú Inicia del Windows.

2. Escriviu l'ordre següent al camp de text Obre i feu clic a D'acord.

3. "{install}\program\soffice.com" {paràmetre}

   Replace {install} with the path to your installation of LibreOffice software (for example, C:\Program Files\LibreOffice). Use soffice.exe instead of soffice.com, when you do not need console (e.g., you do not use command-line interface for headless operations).

1. Open a shell under Linux, *BSD, or macOS platforms.

2. Type the following line of text, then press Return:

   {instal·lació}/program/soffice {paràmetre}

   Reemplaceu {instal·lació} amb el camí a la vostra instal·lació del programari LibreOffice (per exemple, /opt/LibreOffice a l'UNIX)

LibreOffice requires write access to its user profile directory.

## Paràmetres de línia d'ordres vàlids

### Ús sense paràmetres especials

L'ús sense arguments obre el Centre d'inici.

{fitxer} | Tries to open the file (files) in the components suitable for them.
{file} macro://./[Library.Module.MacroName] | Obre el fitxer i aplica les macros especificades provinents del fitxer.

### Obtenció d'ajuda i informació

Paràmetre | Significat
--- | ---
--help / -h / -? | Mostra en la consola els paràmetres de línia d'ordres disponibles.
--helpwriter | Obre l'ajuda integrada o en línia del LibreOffice sobre el Writer.
--helpcalc | Obre l'ajuda integrada o en línia del LibreOffice sobre el Calc.
--helpdraw | Obre l'ajuda integrada o en línia del LibreOffice sobre el Draw.
--helpimpress | Obre l'ajuda integrada o en línia del LibreOffice sobre l'Impress.
--helpbase | Obre l'ajuda integrada o en línia del LibreOffice sobre el Base.
--helpbasic | Obre l'ajuda integrada o en línia del LibreOffice sobre el llenguatge de programació Basic.
--helpmath | Obre l'ajuda integrada o en línia del LibreOffice sobre el Math.
--version | Mostra la versió del LibreOffice i surt.
--nstemporarydirectory | (macOS sandbox only) Returns path of the temporary directory for the current user and exits. Overrides all other arguments.

### Arguments generals

Paràmetre | Significat
--- | ---
--quickstart[=no] | Activates[Deactivates] the Quickstarter service. It can take only one parameter no which deactivates the Quickstarter service. Without parameters this service is activated.
--nolockcheck | Disables check for remote instances using the installation.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Forces an input filter type, if possible. For example:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

See the list of document filters for file conversion.

The list of filter options for Lotus, dBase and Diff files.

The list of filter options for CSV files.

The list of filter options for PDF files.

--pidfile={file} | Emmagatzema l'identificador de procés (PID) a {fitxer}.
--display {display} | Sets the DISPLAY environment variable on UNIX-like platforms to the value {display}. This parameter is only supported by the start script for LibreOffice software on UNIX-like platforms.

### User/programmatic interface control

Paràmetre | Significat
--- | ---
--nologo | Inhabilita la pantalla de presentació quan s'inicia el programa.
--minimized | Inicia l'aplicació minimitzada. La pantalla de presentació no es mostra.
--nodefault | Inicia l'aplicació i només mostra la pantalla de presentació.

--invisible

Inicia l'aplicació en mode invisible.

Neither the start-up logo nor the initial program window will be visible. LibreOffice software can be controlled, and documents and dialogs can be controlled and opened via the API.

Using the parameter, LibreOffice can only be ended using the taskmanager (Windows) or the kill command (UNIX-like systems).

No es pot utilitzar juntament amb --quickstart.

En trobareu més informació a la Guia del desenvolupador del LibreOffice (en anglès).

--headless | Inici en mode sense perifèrics, que permet utilitzar l'aplicació sense interfície d'usuari. Aquest mode especial es pot utilitzar quan l'aplicació es controla per clients externs mitjançant l'API.
--norestore | Inhabilita el reinici i la restauració de fitxers després d'una fallada del sistema.
--safe-mode | Inicia en mode segur, és a dir, inicia temporalment amb un perfil d'usuari nou i us ajuda a restaurar una configuració danyada.
--accept={UNO} | Notifica el LibreOffice que s'ha d'utilitzar una cadena «UNO Accept String» quan es creï una cadena «UNO Acceptor Threads». UNO-URL is string the such kind uno:connection-type,params;protocol-name,params;ObjectName. En trobareu més informació a la Guia del desenvolupador del LibreOffice (en anglès).
--unaccept={UNO-URL} | Closes an acceptor that was created with --accept={UNO-URL}. Use --unaccept=all to close all open acceptors.
--language={lang} | Uses specified language, if language is not selected yet for UI. The lang is a tag of the language in IETF language tag.

### Arguments per als desenvolupadors

Paràmetre | Significat
--- | ---
--terminate_after_init | Exit after initialization complete (no documents loaded).

Unix and Linux user can invoke LibreOffice with these additional parameters for debugging purposes.

Paràmetre | Significat
--- | ---
--record | An enhanced debugger.
--backtrace | Prints the backtrace of the entire stack.
--strace | strace is a diagnostic, debugging and instructional userspace utility for Linux.
--valgrind | Automatically detect many memory management and threading bugs, and profile the program in detail.

Les opcions de depuració --record, --backtrace, --strace i --valgrind no es poden usar juntes. Feu-les servir una per una.

### Arguments per a la creació de documents

The arguments create an empty document of specified kind. Only one of them may be used in one command line. If filenames are specified after an argument, then it tries to open those files in the specified component.

Paràmetre | Significat
--- | ---
--writer | Inicia l'aplicació amb un document del Writer buit.
--calc | Inicia l'aplicació amb un document del Calc buit.
--draw | Inicia l'aplicació amb un document del Draw buit.
--impress | Inicia l'aplicació amb un document de l'Impress buit.
--math | Inicia l'aplicació amb un document del Math buit.
--global | Inicia l'aplicació amb un document mestre del Writer buit.
--web | Inicia l'aplicació amb un document HTML buit.

### Arguments d'obertura de fitxers

The arguments define how following filenames are treated. New treatment begins after the argument and ends at the next argument. The default treatment is to open documents for editing, and create new documents from document templates.

Paràmetre | Significat
--- | ---
-n | Treats following files as templates for creation of new documents.
-o | Opens following files for editing, regardless whether they are templates or not.
--pt {Printername} | Prints the following files to the printer {Printername} and ends. The splash screen does not appear. Si el nom de fitxer conté espais, l'haureu de posar entre cometes. If used multiple times, only last {Printername} is effective for all documents of all --pt runs. Also, --printer-name argument of --print-to-file switch interferes with {Printername}.
-p | Prints following files to the default printer, after which those files are closed. The splash screen does not appear. Si el nom de fitxer conté espais, l'haureu de posar entre cometes.
--view | Opens following files in viewer mode (read-only).
--show[=N] | Opens and starts the slideshow of the following presentation documents immediately. Files are closed after the showing. N in the example refers to the slide number and, when it is provided, they start at that slide.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName[:OutputFilterParams]] is effective. If --outdir is used more than once, only its last value is effective. In absence of --outdir, current working directory is used for the result. For example:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

See the list of document filters for file conversion.

The list of filter options for Lotus, dBase and Diff files.

The list of filter options for CSV files.

The list of filter options for PDF files.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Batch print files to file. If --outdir is not specified, then current working directory is used as output_dir.

If --printer-name or --outdir used multiple times, only last value of each is effective. Also, {Printername} of --pt switch interferes with --printer-name. For example:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Defineix una variable d'arrencada. Per exemple, per a definir un camí de perfil d'usuari diferent al valor per defecte: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignored switches

Paràmetre | Significat
--- | ---
-psn | Ignorat (només al macOS)
-Embedding | Ignorat (relacionat amb COM+; només al Windows)
--nofirststartwizard | No fa res; s'accepta únicament per motius de retrocompatibilitat.
--protector {arg1} {arg2} | S'empra només en les proves unitàries i ha de tenir dos arguments.

Ens cal la vostra ajuda!